be.ehealth.technicalconnector.service.sts.security.impl

## Class AbstractExtendedCredential

- java.lang.Object
- - be.ehealth.technicalconnector.service.sts.security.impl.AbstractExtendedCredential

- All Implemented Interfaces:
    Credential, ExtendedCredential
  Direct Known Subclasses:
    AbstractSAMLToken, BeIDCredential, KeyPairCredential, KeyStoreCredential

      public abstract class AbstractExtendedCredential
      extends Object
      implements ExtendedCredential

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractExtendedCredential()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertPath` | `getCertPath()`
    `org.joda.time.DateTime` | `getExpirationDateTime()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.security.Credential

      `getCertificate, getCertificateChain, getIssuer, getIssuerQualifier, getKeyStore, getPrivateKey, getProviderName, getPublicKey`

- - ### Constructor Detail

    - #### AbstractExtendedCredential

          public AbstractExtendedCredential()

  - ### Method Detail

    - #### getCertPath

          public CertPath getCertPath()
                               throws TechnicalConnectorException

      Specified by:
        `getCertPath` in interface `ExtendedCredential`
      Returns:
        the certification path of the credential
      Throws:
        `TechnicalConnectorException`

    - #### getExpirationDateTime

          public org.joda.time.DateTime getExpirationDateTime()
                                                       throws TechnicalConnectorException

      Specified by:
        `getExpirationDateTime` in interface `ExtendedCredential`
      Returns:
        the expiration datetime of the credential
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.